be.cin.mycarenet._1_0.carenet.types

## Class InsurabilityRequestDetail

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.InsurabilityRequestDetail

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:47+01:00",
                 comments="JAXB RI v2.2.11")
      public class InsurabilityRequestDetail
      extends Object
      implements Serializable

  Java class for InsurabilityRequestDetailType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="InsurabilityRequestDetailType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityRequestType"/>
               <element name="Period" type="{urn:be:cin:mycarenet:1.0:carenet:types}PeriodType"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityContactType"/>
               <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}InsurabilityReference" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsurabilityRequestDetail()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InsurabilityContactTypeType` | `getInsurabilityContactType()` Indication if the request is for ambulatory care or in a day clinic.
    `String` | `getInsurabilityReference()` Optional reference with the insurablity request detail.
    `InsurabilityRequestTypeType` | `getInsurabilityRequestType()` Indication if the request is informational or intended for invoicing.
    `PeriodType` | `getPeriod()` Gets the value of the period property.
    `void` | `setInsurabilityContactType(InsurabilityContactTypeType value)` Sets the value of the insurabilityContactType property.
    `void` | `setInsurabilityReference(String value)` Sets the value of the insurabilityReference property.
    `void` | `setInsurabilityRequestType(InsurabilityRequestTypeType value)` Sets the value of the insurabilityRequestType property.
    `void` | `setPeriod(PeriodType value)` Sets the value of the period property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsurabilityRequestDetail

          public InsurabilityRequestDetail()

  - ### Method Detail

    - #### getInsurabilityRequestType

          public InsurabilityRequestTypeType getInsurabilityRequestType()

      Indication if the request is informational or intended for invoicing. Only informational is supported for the moment. This is zone 303 in the flat file version.
      Returns:
        possible object is `InsurabilityRequestTypeType`

    - #### setInsurabilityRequestType

          public void setInsurabilityRequestType(InsurabilityRequestTypeType value)

      Sets the value of the insurabilityRequestType property.
      Parameters:
        `value` - allowed object is `InsurabilityRequestTypeType`

    - #### getPeriod

          public PeriodType getPeriod()

      Gets the value of the period property.
      Returns:
        possible object is `PeriodType`

    - #### setPeriod

          public void setPeriod(PeriodType value)

      Sets the value of the period property.
      Parameters:
        `value` - allowed object is `PeriodType`

    - #### getInsurabilityContactType

          public InsurabilityContactTypeType getInsurabilityContactType()

      Indication if the request is for ambulatory care or in a day clinic. This is zone 306 in the flat file version.
      Returns:
        possible object is `InsurabilityContactTypeType`

    - #### setInsurabilityContactType

          public void setInsurabilityContactType(InsurabilityContactTypeType value)

      Sets the value of the insurabilityContactType property.
      Parameters:
        `value` - allowed object is `InsurabilityContactTypeType`

    - #### getInsurabilityReference

          public String getInsurabilityReference()

      Optional reference with the insurablity request detail. Will be returned in the responce, but is not used by the system. This is zone 307 in the flat file version.
      Returns:
        possible object is `String`

    - #### setInsurabilityReference

          public void setInsurabilityReference(String value)

      Sets the value of the insurabilityReference property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.